{{- if .Values.temporal.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "postiz.fullname" . }}-temporal
  labels:
    {{- include "postiz.labels" . | nindent 4 }}
    app.kubernetes.io/component: temporal
spec:
  type: ClusterIP
  ports:
    - port: 7233
      targetPort: grpc
      protocol: TCP
      name: grpc
  selector:
    {{- include "postiz.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: temporal
{{- end }}
